Erweiterung:GPGMail

This page is a translated version of the page Extension:GPGMail and the translation is 40% complete.
Other languages:
MediaWiki-Erweiterungen
OOjs UI icon advanced.svg
GPGMail
Freigabestatus: Beta
Beschreibung GPG encryption for MediaWiki mail
Autor(en) Gergő Tisza (TgrDiskussion)
Letzte Version 0.1 (2015-09-27)
MediaWiki 1.26+
PHP 5.3+
Lizenz MIT-Lizenz
Herunterladen
README
  • $wgGPGMailBinary
  • $wgGpgMailUsePgpMime
  • $wgGPGMailTempDir
Übersetze die GPGMail-Erweiterung, wenn sie auf translatewiki.net verfügbar ist

Prüfe die Benutzungs- und Versionsmatrix.

Probleme Offene Aufgaben · Einen Fehler melden

Encrypts (most) outgoing MediaWiki mail with GPG if the user has uploaded a public key.

Herunterladen

Die Erweiterung kann direkt von Git bezogen werden [?]:

  • Den Code ansehen
  • Einige Erweiterungen haben Tags für stabile Versionen.
  • Jeder Zweig ist mit einer früheren MediaWiki-Freigabe verknüpft. Es gibt auch einen „Master“-Zweig, der die aktuellste Alpha-Version enthält (möglicherweise ist dafür eine Alpha-Version von MediaWiki erforderlich).

Extrahiere den Snapshot und kopiere ihn in das extensions/GPGMail/-Verzeichnis der MediaWiki-Installation.

Falls man sich mit git auskennt und einen Konsolen-Zugang zum Server hat, kann man die Erweiterung auch so bekommen:

cd extensions/ git clone https://gerrit.wikimedia.org/r/mediawiki/extensions/GPGMail.git

Installing / Configuration

  • Die Erweiterung herunterladen und die Datei(en) in ein Verzeichnis namens GPGMail im Ordner extensions/ ablegen.
  • Folgenden Code am Ende deiner LocalSettings.php hinzufügen:
    wfLoadExtension( 'GPGMail' );
    
  •   Erledigt – Zu Special:Version in dem Wiki (bei Einstellung auf deutsch nach Spezial:Version) navigieren, um die erfolgreiche Installierung der Erweiterung zu überprüfen.

Für Benutzer, die MediaWiki in der Version 1.24 und früher betreiben:

Die oben stehenden Anweisungen beschreiben die neue Installationsanweisung für diese Erweiterung unter der Verwendung von wfLoadExtension(). Wird diese Erweiterung in einer dieser früheren Versionen (MediaWiki 1.24 und früher)  – an Stelle von wfLoadExtension( 'GPGMail' ); – installiert, benutze:

require_once "$IP/extensions/GPGMail/GPGMail.php";